Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.importer
Class GeonamesAlternateNamesAdmImporter

    java.lang.Object
      com.gisgraphy.importer.AbstractSimpleImporterProcessor
          com.gisgraphy.importer.GeonamesAlternateNamesSimpleImporter
              com.gisgraphy.importer.GeonamesAlternateNamesAdmImporter

All Implemented Interfaces:
  IImporterProcessor

    public class GeonamesAlternateNamesAdmImporter

extends GeonamesAlternateNamesSimpleImporter

Import the Alternate names.

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.importer.GeonamesAlternateNamesSimpleImporter
`admDao, alternateNameDao, cityDao, gisFeatureDao, solRSynchroniser, spellCheckerIndexer`

Fields inherited from class com.gisgraphy.importer.AbstractSimpleImporterProcessor
`COMMENT_START, currentFile, importerConfig, in, internationalisationService, logger, readFileLine, status, statusMessage, totalReadLine, transactionManager, txDefinition, txStatus`

Constructor Summary
`GeonamesAlternateNamesAdmImporter()`

Method Summary
`protected File[]` | `getFiles()`

Methods inherited from class com.gisgraphy.importer.GeonamesAlternateNamesSimpleImporter
`flushAndClear, getNumberOfColumns, processData, rollback, setAdmDao, setAlternateNameDao, setCityDao, setCommitFlushMode, setGisFeatureDao, setSolRSynchroniser, setSpellCheckerIndexer, shouldBeSkipped, shouldIgnoreComments, shouldIgnoreFirstLine, tearDown`

Methods inherited from class com.gisgraphy.importer.AbstractSimpleImporterProcessor
`checkNumberOfColumn, commit, countLines, decrementReadedFileLine, dumpFields, getCurrentFileName, getMaxInsertsBeforeFlush, getNumberOfLinesToProcess, getReadFileLine, getStatus, getStatusMessage, getTotalReadLine, incrementReadedFileLine, isEmptyField, isEndOfDocument, needCommit, onFileProcessed, process, processError, readLineAndProcessData, resetStatus, rollbackTransaction, setImporterConfig, setInternationalisationService, setTransactionManager, setup, startTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeonamesAlternateNamesAdmImporter

    public GeonamesAlternateNamesAdmImporter()

Method Detail

### getFiles

    protected File[] getFiles()

  Overrides:
    `getFiles` in class `GeonamesAlternateNamesSimpleImporter`
  Returns:
    The files to be process
  See Also:
    `ImporterHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.